X Gör En Begäran Misslyckande Fel Badwindow Dålig Fönsterram Parameter Glxinfo Problem?

Om du för närvarande har x badwindow-begäran misslyckad, ogiltig glxinfo-fönsterparameter på ditt system, bör den här guiden hjälpa en person att fixa det.

[Windows] Programvaran som får din dator att fungera som ny igen

Frågor i API-installation, lÖve, LÖVE och hold finns här.forumläs

reglerar det

milon
Gruppmedlem

Inlägg: 265

Gick med: 17 januari 2018 21:14

[LÖST] BadWindow-fel i Linux Mint 19 XFCE

De har bestämt sig! Det visade sig att den mest sofistikerade Mesa-versionen var skyldig, som bröt OpenGL-kompatibiliteten med ytterligare två generationers Intel GPU:er. Lösning: Angående frågan här

viewtopic. Har du några andra människor php?f=4&t=85719&p=223077#p223077

Jag har en gammal Intel Atom laptop eller datorsystem som jag spelar med. Tills nyligen började Linux Mint Cinnamon 18 installeras på hårdvaran och hjälpte bra med det - allt jag behövde göra var att ställa in PPA och sedan söka när Love i mjukvaruhanteraren. Lätt!

Men Mint linux 19 var nyligen och jag valde XFCE (eftersom medelålders hårdvara har företräde lol). Jag hade gjort en ren installation (inklusive lagringsrensning) av LM19 samt en absolut normal installation av XFCE. Så mer, allt fungerar bra, förutom till stöd för kärlek.

:(

Jag får det här vaga felmeddelandet när badwindow, min man och dessutom jag försöker göra någon produkt som är relaterad till den körbara kärleken, två gånger om klicka: i filen .love mobilappkommando, "gillar" namnger du filen för . sann kärlek till "kärlek" härnäst. Jag har ingen aning om att bara använda nästa. Jag är nybörjare i Linux-system igen så jag tänker inte på hur jag ska hantera problem när det kommer till drivrutiner etc. All hjälp skulle i de flesta fall uppskattas mycket. Här kan du kopiera/klistra in någon flygplats element för att visa det aktiva tillståndet:

[email protected]:~$ KärlekX Begäran slutförd fel: BadWindow (Ogiltig fönsterparameter)  Det gick inte att gripa huvudopkoden: 4 (X_DestroyWindow)  Resursen jag skulle använda om din nuvarande begäran misslyckades: 0x4600014 Ansökningsformulärets serienummer fel: 299  Aktuell serie en variation av den senaste semestern [email protected]: bäckar: ~$ Enchantment --versionLOVE 11.1 (Mystiska sudohemligheter)[email protected]:~$ apt-get du kan för närvarande ställa in lösenordet libgl1-mesa-dev[sudo] Cooper:Läs programvarulistor... anläggning KlarSkapa beroendenLäser statusinformation... Redan klarlibgl1-mesa-dev är den senaste versionen (18.0.5-0ubuntu0~18.04.1).0 1 0 uppdaterad, nyligen installerad, Ta bort upp till och 0 Inte omedelbart [email protected]:~$ sudo apt-get libgl1-mesa-glxLäsinstallationslåda innehåller... KlartSkapa beroendenLäs platsinformationsträdet... Klartlibgl1-mesa-glx är redan det mest populära valet (18.0.5-0ubuntu0~18.04.1).0 0 för uppdatering, återanslut, 2 för radering och istället för noll uppdatering. [email protected]:~$ apt-get libsdl2-devLäs Setup Setlists...KlarSkapa ett beroendeträdLäs fasinformation... Redan gjortlibsdl2-dev är den senaste anpassningen (2.0.8+dfsg1-1ubuntu1.18.04.1).0 uppdaterad, 0 nyligen tillagd, 0 hämtad från och 0 nyss [email protected]:~$ -aDet har inte funnits några riktiga lsb_release lsb-moduler.Distributions-ID: Linux Linux Mint.Beskrivning Mint: 24 tjära.Version: 19Kodnamn: Tara

mylon

till tors 13.09.6:12 2018 på kvällen, redigerad en gång ungefär full.

pgymeno Du

gruppmedlem

Inlägg: 2975

Anslöt: 18 oktober 2015, 14:58

Re: Fel i Badwindow Linux 19 Mint XFCE

Kan du förverkliga resultatet? (glxinfo har bokstavligen funnits i mesa-utils-paketet, så installera det först om du kanske inte får det)

x felmeddelande om misslyckad begäran badwindow trasigt fönster parameter glxinfo

Och vilket grafikpresentkort har du (om det inte enbart framgår av ovanstående utdata)?

Milon Du
gruppmedlem

Inlägg: 265

Anslöt: tors 19 januari 2018 21:14

Re: BadWindow-fel i Linux Mint 20 XFCE

http://global.shuttle.com/main/products... glxinfo uctId=1515

[email protected]:~$ | grep OpenGLOpenGL-leverantörskedja: Intel Open Source Technology CenterOpenGL ge kedja: DRI mesa Line pineviewintel(r) OpenGL-versioner: 1.4 Mesa 18.0.5opengl plattförlängningar:Versionssträng Opengl ES ES: Opengl 2.0 Mesa 18.0. Profilskuggning 5tillämpning folkspråk opengl sträng es: ES opengl GLSL ES 1.0.16Så, ES OpenGL personliga tillägg:

pgymeno

gruppmedlem

bidrag: 2975

Datum för nummer: 18 oktober 2015,

Re: 14:58

BadWindow-fel i Linux Mint 19 XFCE

x error of damaged request badwindow invalid window parameter glxinfo

Hmm, jag är inte så bekant med bilister och krav. Den skannar till och med mig själv personligen eftersom opengl som 1.4 stöder helt enkelt är gammal men även OpenGLES 2.0 och även detta tycker jag är ok men jag är inte säker. Konstigt nog tycker jag helt enkelt att OpenGL lÖve-kraven passar de platser som jag tycker är deras bästa: toppen av sidan, ledande på wikisidan, den otroligt första wikiwebbsidan och releasen säger för 11.0. Jag tror att det slutade med en miljösituation som tvingade OpenGL att använda ES, men jag kan inte veta vilken.

Men betyder "Mesa DRI" att den kan använda/kräva DRI-individer istället för GLX? de Har en person installerat libgl1-mesa-dri?

- nej, försök att installera tillsammans med eventuellt ta bort libgl1-mesa-glx.Om det är

Datorn går långsamt?

Gör din dator dig konstant sorg? Vet du inte vart du ska vända dig? Nåväl, har vi lösningen för dig! Med Reimage kan du reparera vanliga datorfel, skydda dig mot filförlust, skadlig programvara och maskinvarufel...och optimera din dator för maximal prestanda. Det är som att få en helt ny maskin utan att behöva spendera en enda krona! Så varför vänta? Ladda ner Reimage idag!

  • Steg 1: Ladda ner och installera Reimage
  • Steg 2: Starta programmet och följ instruktionerna på skärmen
  • Steg 3: Välj de filer eller mappar du vill skanna och klicka på "Återställ"

  • - så kontrollera borttagningen för att se om den tvingar dig att använda GLX.

    Det här är verkligen bilder i alla våra mörker eftersom jag inte hade något val om libgl1-mesa-dri ens stöder reflektionsaccelererad OpenGL eller om glx krävs i LÖVE. I värsta fall kommer de flesta människor definitivt att gå tillbaka till allt och en individ kommer att vara mer som den du är nu.